@import "../../../../assets/styles/main.scss";

.contactUsDetailsSection {
  display: flex;
  flex-flow: column;
  gap: 30px;
  padding: 17px;
  @include lg{
    gap: 20px;
  }
  .contactUSDatailsMainTitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 33px 33px 0px 33px;
    @include xl{
      padding: 22px 22px 0px 22px;
    }
    @include lg{
      padding: 10px 10px 0px 10px;
    }
    h2 {
      font-size: 30px;
      line-height: 32px;
      @include inter700;
    }
    .createNewCaseButton {
      button {
        padding: 6px 16px;
        font-size: 12px;
        border-radius: 5px;
        line-height: 14.52px;
        text-transform: capitalize;
        @include inter600;
        min-width: 133px;
      }
    }
  }
  .contactUsSearchFilterMain {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 33px;
    @include xl{
      padding: 0px 22px;
    }
    @include lg{
      padding: 0px 10px;
    }
    .contactSearchMain {
      width: 250px;
      position: relative;
      border-radius: 10px;
      border: 1px solid #f2f2f2;
      background: #fff;
      box-shadow: 10px -9px 54px 0px rgba(0, 0, 0, 0.04);
      padding: 15px 15px 15px 40px;
      img {
        position: absolute;
        width: 18px;
        top: 50%;
        left: 15px;
        transform: translateY(-50%);
      }
      input {
        border: unset;
        padding: 0px;
        font-size: 12px;
        line-height: 16px;
        letter-spacing: 0.2px;
        @include inter400;
        &::placeholder {
          color: getColorHex("placeholder");
          font-size: 12px;
          @include inter400;
        }
        &:focus {
          box-shadow: unset !important;
        }
      }
    }
    .contactFilterMain {
      .dropdown {
        width: 208px;
        border-radius: 10px;
        border: 1px solid #f2f2f2;
        background: #fff;
        box-shadow: 10px -9px 54px 0px rgba(0, 0, 0, 0.04);
        display: flex;
        justify-content: space-between;
        align-items: center;
        button {
          &:focus-visible {
            box-shadow: unset !important;
          }
        }
        .dropdownToggle {
          width: 100%;
          display: flex;
          justify-content: space-between;
          align-items: center;
          background: getColorHex("white");
          padding: 15px;
          border: unset;

          &:active {
            color: getColorHex("black") !important;
          }
          &:after {
            display: none;
          }
          h5 {
            color: getColorHex("black");
            font-size: 14px;
            line-height: normal;
            @include inter600;
            line-height: normal;
          }
        }
        .dropdownMenu {
          width: 100%;
          border-radius: 10px;
          border: 1px solid #e9edf5;
          background: getColorHex("white");
          box-shadow: 0px 20px 70px 0px rgba(86, 89, 146, 0.1);
          padding: 10px;
          padding-bottom: 5px;
          margin-top: 7px;

          .dropdownItem {
            padding: 0px;
            border-bottom: 1px solid #ededed;
            white-space: break-spaces;
            margin-bottom: 10px;
            margin-top: 10px;
            &:last-child{
              border-bottom: unset;
            }
            h3 {
              font-size: 14px;
              font-style: normal;
              @include inter600;
              line-height: normal;
              margin: 10px 0px !important;
              color: getColorHex("black");
            }
            &:active {
              border: 1px solid getColorHex("orange");
              background: #fff9f4;
            }
          }
        }
      }
    }
  }
  .contactUsCreateCaseMain {
    display: flex;
    flex-flow: column;
    gap: 9px;
    height: 100%;
    max-height: 615px;
    overflow-y: auto;
    @include customScroll;
    padding: 0px 22px 33px 33px;
    @include xl{
      padding: 0px 22px 22px 22px;
    }
    @include lg{
      padding: 0px 10px 10px 10px;
    }
    .contactUsCreateCase {
      display: flex;
      justify-content: space-between;
      align-items: center;
      border-radius: 10px;
      border: 2px solid getColorHex("white");
      background: #f1f1f1;
      box-shadow: 0px 0px 9.8px 0px rgba(210, 210, 210, 0.46);
      padding: 18px 20px;
      gap: 10px;
      .aboutPlanTitle {
        h2 {
          font-size: 14px;
          line-height: normal;
          color: getColorHex("black");
        }
      }
      .inquiryStatusDiv {
        display: flex;
        align-items: center;
        gap: 10px;
        position: relative;

        p {
          font-size: 14px;
          line-height: normal;
        }
        .inquiryStatus {
          border-radius: 5px;
          position: relative;
          width: 140px;
          padding: 5px 10px;
          h2 {
            font-size: 14px;
            line-height: normal;
            text-align: center;
          }
          &.redColor {
            border: 1px solid #f00;
            background: linear-gradient(90deg, #ffd6d6 0%, #fff8f1 100%);
            h2 {
              color: #f00;
            }
          }
          &.GreenColor {
            border: 1px solid #287630;
            background: linear-gradient(90deg, #cdffd2 0%, #fff8f1 100%);
            h2 {
              color: #287630;
            }
          }
          &.BlueColor {
            border: 1px solid #3152ff;
            background: linear-gradient(90deg, #e3e8ff 0%, #fff8f1 100%);
            h2 {
              color: #3152ff;
            }
          }
          &.OrangeColor {
            border: 1px solid #f47500;
            background: linear-gradient(90deg, #ffe8d3 0%, #fff8f1 100%);
            h2 {
              color: #f47500;
            }
          }
        }
        span {
          position: absolute;
          border-radius: 50px;
          background: getColorHex("orange");
          width: 15px;
          height: 15px;
          // padding: 10px;
          font-size: 9px;
          line-height: normal;
          color: getColorHex("white");
          display: flex;
          align-items: center;
          justify-content: center;
          top: -16px;
          right: -16px;
        }
      }
    }
  }
}
